GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
gdcm::DirectoryHelper Class Reference

`#include <gdcmDirectoryHelper.h>`

List of all members.

## Static Public Member Functions

static Directory::FilenamesType | GetCTImageSeriesUIDs (const std::string &inDirectory)
static Directory::FilenamesType | GetFilenamesFromSeriesUIDs (const std::string &inDirectory, const std::string &inSeriesUID)
static std::string | GetFrameOfReference (const std::vector< DataSet > &inDS)
static Directory::FilenamesType | GetMRImageSeriesUIDs (const std::string &inDirectory)
static Directory::FilenamesType | GetRTStructSeriesUIDs (const std::string &inDirectory)
static Directory::FilenamesType | GetSeriesUIDsBySOPClassUID (const std::string &inDirectory, const std::string &inSOPClassUID)
static std::string | GetSOPClassUID (const std::vector< DataSet > &inDS)
static std::vector< DataSet > | LoadImageFromFiles (const std::string &inDirectory, const std::string &inSeriesUID)
static std::string | RetrieveSOPInstanceUIDFromIndex (int inIndex, const std::vector< DataSet > &inDS)
static std::string | RetrieveSOPInstanceUIDFromZPosition (double inZPos, const std::vector< DataSet > &inDS)

## Member Function Documentation

static Directory::FilenamesType gdcm::DirectoryHelper::GetCTImageSeriesUIDs | ( | const std::string & | inDirectory | ) | `[static]`

static Directory::FilenamesType gdcm::DirectoryHelper::GetFilenamesFromSeriesUIDs | ( | const std::string & | inDirectory,
|  | const std::string & | inSeriesUID
| ) |  | `[static]`

Examples:
  GenerateRTSTRUCT.cxx.

static std::string gdcm::DirectoryHelper::GetFrameOfReference | ( | const std::vector< DataSet > & | inDS | ) | `[static]`

static Directory::FilenamesType gdcm::DirectoryHelper::GetMRImageSeriesUIDs | ( | const std::string & | inDirectory | ) | `[static]`

static Directory::FilenamesType gdcm::DirectoryHelper::GetRTStructSeriesUIDs | ( | const std::string & | inDirectory | ) | `[static]`

Examples:
  GenerateRTSTRUCT.cxx.

static Directory::FilenamesType gdcm::DirectoryHelper::GetSeriesUIDsBySOPClassUID | ( | const std::string & | inDirectory,
|  | const std::string & | inSOPClassUID
| ) |  | `[static]`

static std::string gdcm::DirectoryHelper::GetSOPClassUID | ( | const std::vector< DataSet > & | inDS | ) | `[static]`

static std::vector<DataSet> gdcm::DirectoryHelper::LoadImageFromFiles | ( | const std::string & | inDirectory,
|  | const std::string & | inSeriesUID
| ) |  | `[static]`

static std::string gdcm::DirectoryHelper::RetrieveSOPInstanceUIDFromIndex | ( | int | inIndex,
|  | const std::vector< DataSet > & | inDS
| ) |  | `[static]`

static std::string gdcm::DirectoryHelper::RetrieveSOPInstanceUIDFromZPosition | ( | double | inZPos,
|  | const std::vector< DataSet > & | inDS
| ) |  | `[static]`

The documentation for this class was generated from the following file:

- gdcmDirectoryHelper.h